## pdm 0.1

=== Makefile ===
pdm: pdm.o
	$(CC) -o $@ $< `gtk-config --libs` -lcrypt

pdm.o: pdm.c
	$(CC) -c -o $@ $< `gtk-config --cflags` -Os -Wall -fomit-frame-pointer

install:
	cp pdm $(DESTDIR)/usr/bin/

clean:
	rm -f pdm pdm.o

=== debian/changelog ===
pdm (0.1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Dec 2001 12:50:56 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pdm
Section: x11
Priority: optional
Maintainer: Philip Blundell <pb@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev
Standards-Version: 3.5.2

Package: pdm
Architecture: any
Depends: ${shlibs:Depends}
Description: Small GTK-based login program
 Pdm is a miniature login program, intended for use on PDAs and
 other small systems.  It is not a proper replacement for xdm, but
 has just about enough functionality to authenticate a user and
 start a session.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pdm.sgml > pdm.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pdm.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pdm


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pdm 2.0.3+ds1

=== debian/changelog ===
pdm (2.0.3+ds1-1) unstable; urgency=medium

  * New upstream release 2.0.3.
  * debian/control: Update package version requirement.
  * d/p/0002-disable-test_integration: Dropped, not needed anymore.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jul 2022 17:16:45 -0400

pdm (2.0.1+ds1-1) unstable; urgency=medium

  * New upstream release 2.0.1.
  * debian/rules: Disable using dynamic version for now to correct pdm
    version information.
  * debian/patches: Add patch to disable test_integration. These tests
    needs python3 versions outside of Debian's support scope.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jul 2022 11:58:39 -0400

pdm (2.0.0b2+ds1-1) unstable; urgency=medium

  * New upstream version 2.0.0b2+ds1.
  * debian/: Apply wrap-and-sort -abst.
  * Bump version requirement for python3-pdm-pep517 and python3-unearth.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jul 2022 15:24:57 -0400

pdm (2.0.0b1+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1014067)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jul 2022 17:53:05 -0400

=== debian/control ===
Source: pdm
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-blinker,
 python3-cachecontrol,
 python3-django <!nocheck>,
 python3-dotenv,
 python3-findpython,
 python3-first <!nocheck>,
 python3-installer,
 python3-ipython <!nocheck>,
 python3-packaging,
 python3-pdm-pep517 (>= 1.0.0),
 python3-pep517,
 python3-pip,
 python3-platformdirs,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-requests-toolbelt,
 python3-resolvelib,
 python3-rich,
 python3-shellingham,
 python3-tomli,
 python3-tomlkit,
 python3-unearth (>= 0.5.2~),
 python3-virtualenv,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/pdm-project/pdm
Vcs-Git: https://salsa.debian.org/python-team/packages/pdm.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdm

Package: python3-pdm
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: next generation Python package management tool
 PDM is meant to be a next generation Python package management tool.
 If you feel you are going well with Pipenv or Poetry and don't want
 to introduce another package manager, just stick to it. But if you
 are missing something that is not present in those tools, you can
 probably find some goodness in pdm.
 .
 Highlights of features include:
  * Opt-in PEP 582 support, no virtualenv involved at all.
  * Simple and fast dependency resolver, mainly for large binary
    distributions.
  * A PEP 517 build backend.
  * PEP 621 project metadata.
  * Flexible and powerful plug-in system.
  * Versatile user scripts.
  * Opt-in centralized installation cache like pnpm.

## pdm 2.2.1+ds1

=== tests/fixtures/projects/demo-package-has-dep-with-extras/requirements.txt ===
certifi==2021.10.8
charset-normalizer==2.0.7
idna==3.3
requests==2.26.0
urllib3==1.26.7

=== tests/fixtures/projects/demo-package/requirements.txt ===
click==7.1.2 \
    --hash=sha256:d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a \
    --hash=sha256:dacca89f4bfadd5de3d7489b7c8a566eee0d3676333fbb50030263894c38c0dc
flask==1.1.4 \
    --hash=sha256:0fbeb6180d383a9186d0d6ed954e0042ad9f18e0e8de088b2b419d526927d196 \
    --hash=sha256:c34f04500f2cbbea882b1acb02002ad6fe6b7ffa64a6164577995657f50aed22
itsdangerous==1.1.0 \
    --hash=sha256:321b033d07f2a4136d3ec762eac9f16a10ccd60f53c0c91af90217ace7ba1f19 \
    --hash=sha256:72a1252c0b2cc2bcc351acf2cfe2ec0159d8578c54767d5c2aa67fd869346e55 \
    --hash=sha256:ac4c9f590d59c36b7d2953f97fda415f2461280e5279650aafe1e593f129c4f7 \
    --hash=sha256:b12271b2047cb23eeb98c8b5622e2e5c5e9abd9784a153e9d8ef9cb4dd09d749
Jinja2==2.11.3 \
    --hash=sha256:03e47ad063331dd6a3f04a43eddca8a966a26ba0c5b7207a9a9e4e08f1b29419 \
    --hash=sha256:a6d58433de0ae800347cab1fa3043cebbabe8baa9d29e668f1c768cb87a333c6
MarkupSafe==1.1.1 \
    --hash=sha256:00bc623926325b26bb9605ae9eae8a215691f33cae5df11ca5424f06f2d1f473 \
    --hash=sha256:09027a7803a62ca78792ad89403b1b7a73a01c8cb65909cd876f7fcebd79b161 \
    --hash=sha256:09c4b7f37d6c648cb13f9230d847adf22f8171b1ccc4d5682398e77f40309235 \
    --hash=sha256:0db2ff381c2218c1ba7192f75e5c5cf180efa023ddfc6914ffe9a38b2bd303dd \
    --hash=sha256:1027c282dad077d0bae18be6794e6b6b8c91d58ed8a8d89a89d59693b9131db5 \
    --hash=sha256:13d3144e1e340870b25e7b10b98d779608c02016d5184cfb9927a9f10c689f42 \
    --hash=sha256:195d7d2c4fbb0ee8139a6cf67194f3973a6b3042d742ebe0a9ed36d8b6f0c07f \
    --hash=sha256:1e8a27f1c41cae51e8a5687aa63d2bf92dc96bebd6d5b33cc3ec8fa31071ee9b \
    --hash=sha256:22c178a091fc6630d0d045bdb5992d2dfe14e3259760e713c490da5323866c39 \
    --hash=sha256:24982cc2533820871eba85ba648cd53d8623687ff11cbb805be4ff7b4c971aff \
    --hash=sha256:29872e92839765e546828bb7754a68c418d927cd064fd4708fab9fe9c8bb116b \
    --hash=sha256:2a5df1859f9d06d414e60f793466b2549be4ea5fce872d8750215d0b22b4003c \
    --hash=sha256:2beec1e0de6924ea551859edb9e7679da6e4870d32cb766240ce17e0a0ba2014 \
    --hash=sha256:2d3aa974bd1ee74affb31503dfe3ce55bffd208ef5d5dd1582a1300efbc232f4 \
    --hash=sha256:30323461f382a59bcb940be0adc5e0d6be5dfc6bd1c2c5cbe2d13b96414e1619 \
    --hash=sha256:37fd53e8825dd3f3c6f6746afa8373b623a87fc0568513f1a5f071ce73ceedb0 \
    --hash=sha256:3b8a6499709d29c2e2399569d96719a1b21dcd94410a586a18526b143ec8470f \
    --hash=sha256:3db7af9025f66e08c781093dbdb7b54e52b5506006e141dcbe5b740e578b5504 \
    --hash=sha256:43a55c2930bbc139570ac2452adf3d70cdbb3cfe5912c71cdce1c2c6bbd9c5d1 \
    --hash=sha256:46c99d2de99945ec5cb54f23c8cd5689f6d7177305ebff350a58ce5f8de1669e \
    --hash=sha256:500d4957e52ddc3351cabf489e79c91c17f6e0899158447047588650b5e69183 \
    --hash=sha256:5079d5041ace388bb57a5ebe38ae585fb18bc681a669030d76f99b510b33d53e \
    --hash=sha256:535f6fc4d397c1563d08b88e485c3496cf5784e927af890fb3c3aac7f933ec66 \
    --hash=sha256:5881c17ae0378a26e2a8abde240387ca44ac778e0a8745b55522c4119d24dfff \
    --hash=sha256:596510de112c685489095da617b5bcbbac7dd6384aeebeda4df6025d0256a81b \
    --hash=sha256:5eba30ae5ad72351903ba340a6b4e427353de04542f36fc177ebaffafb8ae5e7 \
    --hash=sha256:60f1467a898ed3402d2f4e679906aed9f55c14d6990a53c3f811f593ee425a88 \
    --hash=sha256:62fe6c95e3ec8a7fad637b7f3d372c15ec1caa01ab47926cfdf7a75b40e0eac1 \
    --hash=sha256:6788b695d50a51edb699cb55e35487e430fa21f1ed838122d722e0ff0ac5ba15 \
    --hash=sha256:6dd73240d2af64df90aa7c4e7481e23825ea70af4b4922f8ede5b9e35f78a3b1 \
    --hash=sha256:6f1e273a344928347c1290119b493a1f0303c52f5a5eae5f16d74f48c15d4a85 \
    --hash=sha256:6fffc775d90dcc9aed1b89219549b329a9250d918fd0b8fa8d93d154918422e1 \
    --hash=sha256:717ba8fe3ae9cc0006d7c451f0bb265ee07739daf76355d06366154ee68d221e \
    --hash=sha256:753e2b8c825b41dc3aec6c08a6f2eb786a8a3b266258e391375038f511fc4518 \
    --hash=sha256:780c6d675155c54556d877df22e4739295a085618ad8bc2d1d25ba07879c9522 \
    --hash=sha256:79855e1c5b8da654cf486b830bd42c06e8780cea587384cf6545b7d9ac013a0b \
    --hash=sha256:7c1699dfe0cf8ff607dbdcc1e9b9af1755371f92a68f706051cc8c37d447c905 \
    --hash=sha256:7fed13866cf14bba33e7176717346713881f56d9d2bcebab207f7a036f41b850 \
    --hash=sha256:84dee80c15f1b560d55bcfe6d47b27d070b4681c699c572af2e3c7cc90a3b8e0 \
    --hash=sha256:88e5fcfb52ee7b911e8bb6d6aa2fd21fbecc674eadd44118a9cc3863f938e735 \
    --hash=sha256:8b7fb692d27d6e17ca0fbcbc0edd7b32790e7c070624211499db5a758e89e38d \
    --hash=sha256:8defac2f2ccd6805ebf65f5eeb132adcf2ab57aa11fdf4c0dd5169a004710e7d \
    --hash=sha256:98bae9582248d6cf62321dcb52aaf5d9adf0bad3b40582925ef7c7f0ed85fceb \
    --hash=sha256:98c7086708b163d425c67c7a91bad6e466bb99d797aa64f965e9d25c12111a5e \
    --hash=sha256:9add70b36c5666a2ed02b43b335fe19002ee5235efd4b8a89bfcf9005bebac0d \
    --hash=sha256:9bf40443012702a1d2070043cb6291650a0841ece432556f784f004937f0f32c \
    --hash=sha256:a6a744282b7718a2a62d2ed9d993cad6f5f585605ad352c11de459f4108df0a1 \
    --hash=sha256:acf08ac40292838b3cbbb06cfe9b2cb9ec78fce8baca31ddb87aaac2e2dc3bc2 \
    --hash=sha256:ade5e387d2ad0d7ebf59146cc00c8044acbd863725f887353a10df825fc8ae21 \
    --hash=sha256:b00c1de48212e4cc9603895652c5c410df699856a2853135b3967591e4beebc2 \
    --hash=sha256:b1282f8c00509d99fef04d8ba936b156d419be841854fe901d8ae224c59f0be5 \
    --hash=sha256:b1423ef6a7f62c1d92bd1ce15e224f8d709fbae969fd7720623eb2ae9b8c3a34 \
    --hash=sha256:b1dba4527182c95a0db8b6060cc98ac49b9e2f5e64320e2b56e47cb2831978c7 \
    --hash=sha256:b2051432115498d3562c084a49bba65d97cf251f5a331c64a12ee7e04dacc51b \
    --hash=sha256:b7d644ddb4dbd407d31ffb699f1d140bc35478da613b441c582aeb7c43838dd8 \
    --hash=sha256:ba59edeaa2fc6114428f1637ffff42da1e311e29382d81b339c1817d37ec93c6 \
    --hash=sha256:bd597f350935cb5c9cc3a55f5a15c8ec3632c71274e079380ef2f4789ad824f0 \
    --hash=sha256:bf13467480b37db64550c4f661e4dab34d2ce714d986254e609598f00360dcbb \
    --hash=sha256:bf5aa3cbcfdf57fa2ee9cd1822c862ef23037f5c832ad09cfea57fa846dec193 \
    --hash=sha256:c6ccfab7baaf835fa90cb7ef3e9e7c240e84394420a5d33ba707f05318522fd6 \
    --hash=sha256:c6fc95b4f707efd506f3f7789140db9cec1b731999e7f033371bb6a5006a1ef8 \
    --hash=sha256:c8716a48d94b06bb3b2524c2b77e055fb313aeb4ea620c8dd03a105574ba704f \
    --hash=sha256:c9cc323768421f2dd2ab416e38c0302803771f73191ffa7134f00a4a5ca57e72 \
    --hash=sha256:caabedc8323f1e93231b52fc32bdcde6db817623d33e100708d9a68e1f53b26b \
    --hash=sha256:cd5df75523866410809ca100dc9681e301e3c27567cf498077e8551b6d20e42f \
    --hash=sha256:cdb132fc825c38e1aeec2c8aa9338310d29d337bebbd7baa06889d09a60a1fa2 \
    --hash=sha256:d53bc011414228441014aa71dbec320c66468c1030aae3a6e29778a3382d96e5 \
    --hash=sha256:d73a845f227b0bfe8a7455ee623525ee656a9e2e749e4742706d80a6065d5e2c \
    --hash=sha256:d9be0ba6c527163cbed5e0857c451fcd092ce83947944d6c14bc95441203f032 \
    --hash=sha256:dbc6ee2241abe4f518685f603e427a94ceb73c08b6d15d85c6c5c4a71bde9c3e \
    --hash=sha256:de603df0d005177f7ef7faa56578d2d47fc93aaef165cdef91d64959176edb15 \
    --hash=sha256:e249096428b3ae81b08327a63a485ad0878de3fb939049038579ac0ef61e17e7 \
    --hash=sha256:e8313f01ba26fbbe36c7be1966a7b7424942f670f38e666995b88d012765b9be \
    --hash=sha256:feb7b34d6325451ef96bc0e36e1a6c0c1c64bc1fbec4b854f4529e51887b1621
Werkzeug==1.0.1 \
    --hash=sha256:2de2a5db0baeae7b2d2664949077c2ac63fbd16d98da0ff71837f7d1dea3fd43 \
    --hash=sha256:6c80b1e5ad3665290ea39320b91e1be1e0d5f60652b964a3070216de83d2e47c
--extra-index-url https://test.pypi.org/simple

=== debian/changelog ===
pdm (2.2.1+ds1-1) unstable; urgency=medium

  * New upstream release 2.2.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Nov 2022 15:15:11 -0500

pdm (2.1.4+ds1-1) unstable; urgency=medium

  * New upstream release 2.1.4.
  * debian/control: Update package version requirement.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Sep 2022 14:24:36 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3,
  python3-blinker,
  python3-cachecontrol,
+ python3-certifi (>> 2022.6.15),
  python3-django <!nocheck>,
  python3-dotenv,
  python3-findpython,
@@ -26,13 +27,14 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-pytest-xdist <!nocheck>,
+ python3-pytest-rerunfailures <!nocheck>,
  python3-requests-toolbelt,
  python3-resolvelib,
  python3-rich,
  python3-shellingham,
  python3-tomli,
  python3-tomlkit,
- python3-unearth (>= 0.5.2~),
+ python3-unearth (>= 0.6~),
  python3-virtualenv,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_auto_test:
	# Tests will fail due to missing artifacts
	-dh_auto_test

execute_after_dh_python3:
	# Drop .pdm.toml
	rm -fv debian/*/usr/lib/python3/dist-packages/.pdm.toml
	 # Drop __pypackages__
	rm -rfv debian/*/usr/lib/python3/dist-packages/__pypackages__

=== debian/watch ===
version=4
opts="uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,dversionmangle=s/\+ds\d*$//,oversionmangle=s/(.*)/$1+ds1/" \
 https://github.com/pdm-project/pdm/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pdm 2.20.1+ds1

=== chatbot/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

aiohttp==3.9.5
aiosignal==1.3.1
altair==5.2.0
annotated-types==0.6.0
anyio==4.3.0
async-timeout==4.0.3; python_version < "3.11"
attrs==23.2.0
azure-core==1.30.2
azure-identity==1.17.1
beautifulsoup4==4.12.3
blinker==1.7.0
cachetools==5.3.2
certifi==2024.7.4
cffi==1.16.0; platform_python_implementation != "PyPy"
charset-normalizer==3.3.2
click==8.1.7
colorama==0.4.6; platform_system == "Windows"
cryptography==42.0.8
dataclasses-json==0.6.4
deprecated==1.2.14
dirtyjson==1.0.8
distro==1.9.0
exceptiongroup==1.2.1; python_version < "3.11"
frozenlist==1.4.1
fsspec==2024.3.1
gitdb==4.0.11
gitpython==3.1.41
greenlet==3.0.3
h11==0.14.0
httpcore==1.0.5
httpx==0.27.0
idna==3.7
jinja2==3.1.3
jiter==0.5.0
joblib==1.4.0
jsonschema==4.20.0
jsonschema-specifications==2023.12.1
llama-index-core==0.10.68.post1
llama-index-embeddings-azure-openai==0.1.11
llama-index-embeddings-openai==0.1.10
llama-index-llms-azure-openai==0.1.10
llama-index-llms-openai==0.1.15
llama-index-readers-file==0.1.33
markdown-it-py==3.0.0
markupsafe==2.1.3
marshmallow==3.21.1
mdurl==0.1.2
msal==1.29.0
msal-extensions==1.2.0
multidict==6.0.5
mypy-extensions==1.0.0
nest-asyncio==1.6.0
networkx==3.3
nltk==3.8.1
numpy==1.26.4
openai==1.42.0
packaging==23.2
pandas==2.2.2
pillow==10.3.0
portalocker==2.10.0
protobuf==4.25.2
pyarrow==14.0.2
pycparser==2.22; platform_python_implementation != "PyPy"
pydantic==2.7.0
pydantic-core==2.18.1
pydeck==0.8.1b0
pygments==2.17.2
pyjwt==2.8.0
pyjwt[crypto]==2.8.0
pypdf==4.2.0
python-dateutil==2.9.0.post0
pytz==2024.1
pywin32==306; platform_system == "Windows"
pyyaml==6.0.1
referencing==0.32.1
regex==2024.4.16
requests==2.31.0
rich==13.7.0
rpds-py==0.16.2
setuptools==73.0.1
six==1.16.0
smmap==5.0.1
sniffio==1.3.1
soupsieve==2.5
sqlalchemy==2.0.29
sqlalchemy[asyncio]==2.0.29
streamlit==1.37.1
striprtf==0.0.26
tenacity==8.2.3
tiktoken==0.6.0
toml==0.10.2
toolz==0.12.0
tornado==6.4
tqdm==4.66.2
typing-extensions==4.11.0
typing-inspect==0.9.0
tzdata==2024.1
urllib3==2.2.1
watchdog==3.0.0; platform_system != "Darwin"
wrapt==1.16.0
yarl==1.9.4

=== debian/changelog ===
pdm (2.20.1+ds1-2) unstable; urgency=medium

  * debian/control: Add missing build-dep python3-pbs-installer.
  * debian/patches/0001-Patch-out-usage-of-pbs_installer.patch:
    Dropped now that we have pbs_installer in Debian. (Closes: #1087130)

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Mar 2025 19:58:15 -0500

pdm (2.20.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 09:11:44 -0500

pdm (2.20.0.post1+ds1-2) unstable; urgency=medium

  * debian/py3dist-overrides: Dropped, not needed anymore.
  * Mark that new version has fixed CVE-2023-45805.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 17:54:25 -0500

pdm (2.20.0.post1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Migrate from pdm-pep517 to pdm-backend buildsystem.
  * debian/control: Add new build-dependencies.
  * debian/patches/0001-Patch-out-usage-of-pbs_installer.patch: Add this
    temporary patch for now.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 15:23:15 -0500

pdm (2.2.1+ds1-2) unstable; urgency=medium

  * Team upload
  * Switch to python3-pyproject-hooks from python3-pep517

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Mar 2024 00:16:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,31 +12,40 @@
  python3-blinker,
  python3-cachecontrol,
  python3-certifi (>> 2022.6.15),
+ python3-dep-logic,
  python3-django <!nocheck>,
  python3-dotenv,
+ python3-filelock,
  python3-findpython,
  python3-first <!nocheck>,
+ python3-hishel,
+ python3-httpx,
  python3-installer,
  python3-ipython <!nocheck>,
+ python3-msgpack,
  python3-packaging,
- python3-pdm-pep517 (>= 1.0.0),
- python3-pep517,
+ python3-pbs-installer,
+ python3-pdm-backend,
  python3-pip,
  python3-platformdirs,
+ python3-pyproject-hooks,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-pytest-httpserver <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-pytest-rerunfailures <!nocheck>,
  python3-requests-toolbelt,
- python3-resolvelib,
+ python3-resolvelib (>= 1.1),
  python3-rich,
  python3-shellingham,
+ python3-truststore,
  python3-tomli,
  python3-tomlkit,
- python3-unearth (>= 0.6~),
+ python3-truststore,
+ python3-unearth (>= 0.9),
  python3-virtualenv,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pdm-project/pdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdm.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

## pdm 2.23.1

=== chatbot/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

aiohappyeyeballs==2.4.3 \
    --hash=sha256:75cf88a15106a5002a8eb1dab212525c00d1f4c0fa96e551c9fbe6f09a621586 \
    --hash=sha256:8a7a83727b2756f394ab2895ea0765a0a8c475e3c71e98d43d76f22b4b435572
aiohttp==3.11.7 \
    --hash=sha256:01a8aca4af3da85cea5c90141d23f4b0eee3cbecfd33b029a45a80f28c66c668 \
    --hash=sha256:12724f3a211fa243570e601f65a8831372caf1a149d2f1859f68479f07efec3d \
    --hash=sha256:1fbf41a6bbc319a7816ae0f0177c265b62f2a59ad301a0e49b395746eb2a9884 \
    --hash=sha256:2257bdd5cf54a4039a4337162cd8048f05a724380a2283df34620f55d4e29341 \
    --hash=sha256:24054fce8c6d6f33a3e35d1c603ef1b91bbcba73e3f04a22b4f2f27dac59b347 \
    --hash=sha256:351849aca2c6f814575c1a485c01c17a4240413f960df1bf9f5deb0003c61a53 \
    --hash=sha256:3ce18f703b7298e7f7633efd6a90138d99a3f9a656cb52c1201e76cb5d79cf08 \
    --hash=sha256:3dd3e7e7c9ef3e7214f014f1ae260892286647b3cf7c7f1b644a568fd410f8ca \
    --hash=sha256:43bfd25113c1e98aec6c70e26d5f4331efbf4aa9037ba9ad88f090853bf64d7f \
    --hash=sha256:4ba8d043fed7ffa117024d7ba66fdea011c0e7602327c6d73cacaea38abe4491 \
    --hash=sha256:4dda726f89bfa5c465ba45b76515135a3ece0088dfa2da49b8bb278f3bdeea12 \
    --hash=sha256:59ee1925b5a5efdf6c4e7be51deee93984d0ac14a6897bd521b498b9916f1544 \
    --hash=sha256:670847ee6aeb3a569cd7cdfbe0c3bec1d44828bbfbe78c5d305f7f804870ef9e \
    --hash=sha256:78c657ece7a73b976905ab9ec8be9ef2df12ed8984c24598a1791c58ce3b4ce4 \
    --hash=sha256:7ea4490360b605804bea8173d2d086b6c379d6bb22ac434de605a9cbce006e7d \
    --hash=sha256:8bedb1f6cb919af3b6353921c71281b1491f948ca64408871465d889b4ee1b66 \
    --hash=sha256:9202f184cc0582b1db15056f2225ab4c1e3dac4d9ade50dd0613ac3c46352ac2 \
    --hash=sha256:9e67531370a3b07e49b280c1f8c2df67985c790ad2834d1b288a2f13cd341c5f \
    --hash=sha256:b7215bf2b53bc6cb35808149980c2ae80a4ae4e273890ac85459c014d5aa60ac \
    --hash=sha256:bf0e6cce113596377cadda4e3ac5fb89f095bd492226e46d91b4baef1dd16f60 \
    --hash=sha256:c25b74a811dba37c7ea6a14d99eb9402d89c8d739d50748a75f3cf994cf19c43 \
    --hash=sha256:cd8d62cab363dfe713067027a5adb4907515861f1e4ce63e7be810b83668b847 \
    --hash=sha256:cea52d11e02123f125f9055dfe0ccf1c3857225fb879e4a944fae12989e2aef2 \
    --hash=sha256:db70a47987e34494b451a334605bee57a126fe8d290511349e86810b4be53b01 \
    --hash=sha256:dda3ed0a7869d2fa16aa41f9961ade73aa2c2e3b2fcb0a352524e7b744881889 \
    --hash=sha256:e0bf378db07df0a713a1e32381a1b277e62ad106d0dbe17b5479e76ec706d720 \
    --hash=sha256:e13a05db87d3b241c186d0936808d0e4e12decc267c617d54e9c643807e968b6 \
    --hash=sha256:e22d1721c978a6494adc824e0916f9d187fa57baeda34b55140315fa2f740184 \
    --hash=sha256:e5522ee72f95661e79db691310290c4618b86dff2d9b90baedf343fd7a08bf79 \
    --hash=sha256:e993676c71288618eb07e20622572b1250d8713e7e00ab3aabae28cb70f3640d \
    --hash=sha256:f5022504adab881e2d801a88b748ea63f2a9d130e0b2c430824682a96f6534be
aiosignal==1.3.1 \
    --hash=sha256:54cd96e15e1649b75d6c87526a6ff0b6c1b0dd3459f43d9ca11d48c339b68cfc \
    --hash=sha256:f8376fb07dd1e86a584e4fcdec80b36b7f81aac666ebc724e2c090300dd83b17
altair==5.4.1 \
    --hash=sha256:0ce8c2e66546cb327e5f2d7572ec0e7c6feece816203215613962f0ec1d76a82 \
    --hash=sha256:0fb130b8297a569d08991fb6fe763582e7569f8a04643bbd9212436e3be04aef
annotated-types==0.7.0 \
    --hash=sha256:1f02e8b43a8fbbc3f3e0d4f0f4bfc8131bcb4eebe8849b8e5c773f3a1c582a53 \
    --hash=sha256:aff07c09a53a08bc8cfccb9c85b05f1aa9a2a6f23728d790723543408344ce89
anyio==4.6.2.post1 \
    --hash=sha256:4c8bc31ccdb51c7f7bd251f51c609e038d63e34219b44aa86e47576389880b4c \
    --hash=sha256:6d170c36fba3bdd840c73d3868c1e777e33676a69c3a72cf0a0d5d6d8009b61d
async-timeout==5.0.1; python_version < "3.11" \
    --hash=sha256:39e3809566ff85354557ec2398b55e096c8364bacac9405a7a1fa429e77fe76c \
    --hash=sha256:d9321a7a3d5a6a5e187e824d2fa0793ce379a202935782d555d6e9d2735677d3
attrs==24.2.0 \
    --hash=sha256:5cfb1b9148b5b086569baec03f20d7b6bf3bcacc9a42bebf87ffaaca362f6346 \
    --hash=sha256:81921eb96de3191c8258c199618104dd27ac608d9366f5e35d011eae1867ede2
azure-core==1.32.0 \
    --hash=sha256:22b3c35d6b2dae14990f6c1be2912bf23ffe50b220e708a28ab1bb92b1c730e5 \
    --hash=sha256:eac191a0efb23bfa83fddf321b27b122b4ec847befa3091fa736a5c32c50d7b4
azure-identity==1.19.0 \
    --hash=sha256:500144dc18197d7019b81501165d4fa92225f03778f17d7ca8a2a180129a9c83 \
    --hash=sha256:e3f6558c181692d7509f09de10cca527c7dce426776454fb97df512a46527e81
beautifulsoup4==4.12.3 \
    --hash=sha256:74e3d1928edc070d21748185c46e3fb33490f22f52a3addee9aee0f4f7781051 \
    --hash=sha256:b80878c9f40111313e55da8ba20bdba06d8fa3969fc68304167741bbf9e082ed
blinker==1.9.0 \
    --hash=sha256:b4ce2265a7abece45e7cc896e98dbebe6cead56bcf805a3d23136d145f5445bf \
    --hash=sha256:ba0efaa9080b619ff2f3459d1d500c57bddea4a6b424b60a91141db6fd2f08bc
cachetools==5.5.0 \
    --hash=sha256:02134e8439cdc2ffb62023ce1debca2944c3f289d66bb17ead3ab3dede74b292 \
    --hash=sha256:2cc24fb4cbe39633fb7badd9db9ca6295d766d9c2995f245725a46715d050f2a
certifi==2024.8.30 \
    --hash=sha256:922820b53db7a7257ffbda3f597266d435245903d80737e34f8a45ff3e3230d8 \
    --hash=sha256:bec941d2aa8195e248a60b31ff9f0558284cf01a52591ceda73ea9afffd69fd9
cffi==1.17.1; platform_python_implementation != "PyPy" \
    --hash=sha256:045d61c734659cc045141be4bae381a41d89b741f795af1dd018bfb532fd0df8 \
    --hash=sha256:0f048dcf80db46f0098ccac01132761580d28e28bc0f78ae0d58048063317e15 \
    --hash=sha256:1c39c6016c32bc48dd54561950ebd6836e1670f2ae46128f67cf49e789c52824 \
    --hash=sha256:2bb1a08b8008b281856e5971307cc386a8e9c5b625ac297e853d36da6efe9c17 \
    --hash=sha256:30c5e0cb5ae493c04c8b42916e52ca38079f1b235c2f8ae5f4527b963c401caf \
    --hash=sha256:45398b671ac6d70e67da8e4224a065cec6a93541bb7aebe1b198a61b58c7b702 \
    --hash=sha256:46bf43160c1a35f7ec506d254e5c890f3c03648a4dbac12d624e4490a7046cd1 \
    --hash=sha256:5da5719280082ac6bd9aa7becb3938dc9f9cbd57fac7d2871717b1feb0902ab6 \
    --hash=sha256:610faea79c43e44c71e1ec53a554553fa22321b65fae24889706c0a84d4ad86d \
    --hash=sha256:6883e737d7d9e4899a8a695e00ec36bd4e5e4f18fabe0aca0efe0a4b44cdb13e \
    --hash=sha256:6b8b4a92e1c65048ff98cfe1f735ef8f1ceb72e3d5f0c25fdb12087a23da22be \
    --hash=sha256:85a950a4ac9c359340d5963966e3e0a94a676bd6245a4b55bc43949eee26a655 \
    --hash=sha256:8f2cdc858323644ab277e9bb925ad72ae0e67f69e804f4898c070998d50b1a67 \
    --hash=sha256:a1ed2dd2972641495a3ec98445e09766f077aee98a1c896dcb4ad0d303628e41 \
    --hash=sha256:a24ed04c8ffd54b0729c07cee15a81d964e6fee0e3d4d342a27b020d22959dc6 \
    --hash=sha256:a45e3c6913c5b87b3ff120dcdc03f6131fa0065027d0ed7ee6190736a74cd401 \
    --hash=sha256:a9b15d491f3ad5d692e11f6b71f7857e7835eb677955c00cc0aefcd0669adaf6 \
    --hash=sha256:ad9413ccdeda48c5afdae7e4fa2192157e991ff761e7ab8fdd8926f40b160cc3 \
    --hash=sha256:c9c3d058ebabb74db66e431095118094d06abf53284d9c81f27300d0e0d8bc7c \
    --hash=sha256:caaf0640ef5f5517f49bc275eca1406b0ffa6aa184892812030f04c2abf589a0 \
    --hash=sha256:de2ea4b5833625383e464549fec1bc395c1bdeeb5f25c4a3a82b5a8c756ec22f \
    --hash=sha256:df8b1c11f177bc2313ec4b2d46baec87a5f3e71fc8b45dab2ee7cae86d9aba14 \
    --hash=sha256:edae79245293e15384b51f88b00613ba9f7198016a5948b5dddf4917d4d26382 \
    --hash=sha256:f75c7ab1f9e4aca5414ed4d8e5c0e303a34f4421f8a0d47a4d019ceff0ab6af4 \
    --hash=sha256:fc48c783f9c87e60831201f2cce7f3b2e4846bf4d8728eabe54d60700b318a0b
charset-normalizer==3.4.0 \
    --hash=sha256:0b309d1747110feb25d7ed6b01afdec269c647d382c857ef4663bbe6ad95a912 \
    --hash=sha256:0d99dd8ff461990f12d6e42c7347fd9ab2532fb70e9621ba520f9e8637161d7c \
    --hash=sha256:0de7b687289d3c1b3e8660d0741874abe7888100efe14bd0f9fd7141bcbda92b \
    --hash=sha256:1110e22af8ca26b90bd6364fe4c763329b0ebf1ee213ba32b68c73de5752323d \
    --hash=sha256:136815f06a3ae311fae551c3df1f998a1ebd01ddd424aa5603a4336997629e95 \
    --hash=sha256:14215b71a762336254351b00ec720a8e85cada43b987da5a042e4ce3e82bd68e \
    --hash=sha256:223217c3d4f82c3ac5e29032b3f1c2eb0fb591b72161f86d93f5719079dae93e \
    --hash=sha256:27623ba66c183eca01bf9ff833875b459cad267aeeb044477fedac35e19ba907 \
    --hash=sha256:3710a9751938947e6327ea9f3ea6332a09bf0ba0c09cae9cb1f250bd1f1549bc \
    --hash=sha256:40d3ff7fc90b98c637bda91c89d51264a3dcf210cade3a2c6f838c7268d7a4ca \
    --hash=sha256:47334db71978b23ebcf3c0f9f5ee98b8d65992b65c9c4f2d34c2eaf5bcaf0594 \
    --hash=sha256:4f9fc98dad6c2eaa32fc3af1417d95b5e3d08aff968df0cd320066def971f9a6 \
    --hash=sha256:55f56e2ebd4e3bc50442fbc0888c9d8c94e4e06a933804e2af3e89e2f9c1c749 \
    --hash=sha256:5ed2e36c3e9b4f21dd9422f6893dec0abf2cca553af509b10cd630f878d3eb99 \
    --hash=sha256:63bc5c4ae26e4bc6be6469943b8253c0fd4e4186c43ad46e713ea61a0ba49129 \
    --hash=sha256:6dba5d19c4dfab08e58d5b36304b3f92f3bd5d42c1a3fa37b5ba5cdf6dfcbcee \
    --hash=sha256:79983512b108e4a164b9c8d34de3992f76d48cadc9554c9e60b43f308988aabe \
    --hash=sha256:7f683ddc7eedd742e2889d2bfb96d69573fde1d92fcb811979cdb7165bb9c7d3 \
    --hash=sha256:82357d85de703176b5587dbe6ade8ff67f9f69a41c0733cf2425378b49954de5 \
    --hash=sha256:86f4e8cca779080f66ff4f191a685ced73d2f72d50216f7112185dc02b90b9b7 \
    --hash=sha256:8ce7fd6767a1cc5a92a639b391891bf1c268b03ec7e021c7d6d902285259685c \
    --hash=sha256:8ff4e7cdfdb1ab5698e675ca622e72d58a6fa2a8aa58195de0c0061288e6e3ea \
    --hash=sha256:9ae4ef0b3f6b41bad6366fb0ea4fc1d7ed051528e113a60fa2a65a9abb5b1d99 \
    --hash=sha256:bcb4f8ea87d03bc51ad04add8ceaf9b0f085ac045ab4d74e73bbc2dc033f0236 \
    --hash=sha256:bf4475b82be41b07cc5e5ff94810e6a01f276e37c2d55571e3fe175e467a1a1c \
    --hash=sha256:c57516e58fd17d03ebe67e181a4e4e2ccab1168f8c2976c6a334d4f819fe5944 \
    --hash=sha256:c94057af19bc953643a33581844649a7fdab902624d2eb739738a30e2b3e60fc \
    --hash=sha256:ce031db0408e487fd2775d745ce30a7cd2923667cf3b69d48d219f1d8f5ddeb6 \
    --hash=sha256:cee4373f4d3ad28f1ab6290684d8e2ebdb9e7a1b74fdc39e4c211995f77bec27 \
    --hash=sha256:f1a2f519ae173b5b6a2c9d5fa3116ce16e48b3462c8b96dfdded11055e3d6365 \
    --hash=sha256:f606a1881d2663630ea5b8ce2efe2111740df4b687bd78b34a8131baa007f79b \
    --hash=sha256:fe9f97feb71aa9896b81973a7bbada8c49501dc73e58a10fcef6663af95e5079
click==8.1.7 \
    --hash=sha256:ae74fb96c20a0277a1d615f1e4d73c8414f5a98db8b799a7931d1582f3390c28 \
    --hash=sha256:ca9853ad459e787e2192211578cc907e7594e294c7ccc834310722b41b9ca6de
colorama==0.4.6; platform_system == "Windows" \
    --hash=sha256:08695f5cb7ed6e0531a20572697297273c47b8cae5a63ffc6d6ed5c201be6e44 \
    --hash=sha256:4f1d9991f5acc0ca119f9d443620b77f9d6b33703e51011c16baf57afb285fc6
cryptography==43.0.3 \
    --hash=sha256:0c580952eef9bf68c4747774cde7ec1d85a6e61de97281f2dba83c7d2c806362 \
    --hash=sha256:0f996e7268af62598f2fc1204afa98a3b5712313a55c4c9d434aef49cadc91d4 \
    --hash=sha256:281c945d0e28c92ca5e5930664c1cefd85efe80e5c0d2bc58dd63383fda29f83 \
    --hash=sha256:315b9001266a492a6ff443b61238f956b214dbec9910a081ba5b6646a055a805 \
    --hash=sha256:443c4a81bb10daed9a8f334365fe52542771f25aedaf889fd323a853ce7377d6 \
    --hash=sha256:63efa177ff54aec6e1c0aefaa1a241232dcd37413835a9b674b6e3f0ae2bfd3e \
    --hash=sha256:74f57f24754fe349223792466a709f8e0c093205ff0dca557af51072ff47ab18 \
    --hash=sha256:7e1ce50266f4f70bf41a2c6dc4358afadae90e2a1e5342d3c08883df1675374f \
    --hash=sha256:81ef806b1fef6b06dcebad789f988d3b37ccaee225695cf3e07648eee0fc6b73 \
    --hash=sha256:846da004a5804145a5f441b8530b4bf35afbf7da70f82409f151695b127213d5 \
    --hash=sha256:8ac43ae87929a5982f5948ceda07001ee5e83227fd69cf55b109144938d96984 \
    --hash=sha256:9762ea51a8fc2a88b70cf2995e5675b38d93bf36bd67d91721c309df184f49bd \
    --hash=sha256:a2a431ee15799d6db9fe80c82b055bae5a752bef645bba795e8e52687c69efe3 \
    --hash=sha256:bf7a1932ac4176486eab36a19ed4c0492da5d97123f1406cf15e41b05e787d2e \
    --hash=sha256:c2e6fc39c4ab499049df3bdf567f768a723a5e8464816e8f009f121a5a9f4405 \
    --hash=sha256:cbeb489927bd7af4aa98d4b261af9a5bc025bd87f0e3547e11584be9e9427be2 \
    --hash=sha256:d03b5621a135bffecad2c73e9f4deb1a0f977b9a8ffe6f8e002bf6c9d07b918c \

=== tests/fixtures/requirements.txt ===
--index-url=https://pypi.org/simple
--extra-index-url=https://pypi.example.com/simple
webassets==2.0
werkzeug==0.16.0
whoosh==2.7.4; sys_platform == "win32"
wtforms==2.2.1 --hash=sha256:0cdbac3e7f6878086c334aa25dc5a33869a3954e9d1e015130d65a69309b3b61 --hash=sha256:e3ee092c827582c50877cdbd49e9ce6d2c5c1f6561f849b3b068c1b8029626f1
-e git+https://github.com/pypa/pip.git@main#egg=pip
git+https://github.com/techalchemy/test-project.git@master#egg=pep508-package&subdirectory=parent_folder/pep508-package

=== tests/fixtures/projects/demo-package-has-dep-with-extras/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

certifi==2021.10.8
charset-normalizer==2.0.7; python_version >= "3"
idna==3.3; python_version >= "3"
requests==2.26.0
urllib3==1.26.7

=== tests/fixtures/projects/demo-package/requirements.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# This file is @generated by PDM.
+# Please do not edit it manually.
+
 click==7.1.2 \
     --hash=sha256:d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a \
     --hash=sha256:dacca89f4bfadd5de3d7489b7c8a566eee0d3676333fbb50030263894c38c0dc
@@ -9,15 +12,12 @@
     --hash=sha256:72a1252c0b2cc2bcc351acf2cfe2ec0159d8578c54767d5c2aa67fd869346e55 \
     --hash=sha256:ac4c9f590d59c36b7d2953f97fda415f2461280e5279650aafe1e593f129c4f7 \
     --hash=sha256:b12271b2047cb23eeb98c8b5622e2e5c5e9abd9784a153e9d8ef9cb4dd09d749
-Jinja2==2.11.3 \
+jinja2==2.11.3 \
     --hash=sha256:03e47ad063331dd6a3f04a43eddca8a966a26ba0c5b7207a9a9e4e08f1b29419 \
     --hash=sha256:a6d58433de0ae800347cab1fa3043cebbabe8baa9d29e668f1c768cb87a333c6
-MarkupSafe==1.1.1 \
+markupsafe==1.1.1 \
     --hash=sha256:00bc623926325b26bb9605ae9eae8a215691f33cae5df11ca5424f06f2d1f473 \
-    --hash=sha256:09027a7803a62ca78792ad89403b1b7a73a01c8cb65909cd876f7fcebd79b161 \
-    --hash=sha256:09c4b7f37d6c648cb13f9230d847adf22f8171b1ccc4d5682398e77f40309235 \
     --hash=sha256:0db2ff381c2218c1ba7192f75e5c5cf180efa023ddfc6914ffe9a38b2bd303dd \
-    --hash=sha256:1027c282dad077d0bae18be6794e6b6b8c91d58ed8a8d89a89d59693b9131db5 \
     --hash=sha256:13d3144e1e340870b25e7b10b98d779608c02016d5184cfb9927a9f10c689f42 \
     --hash=sha256:195d7d2c4fbb0ee8139a6cf67194f3973a6b3042d742ebe0a9ed36d8b6f0c07f \
     --hash=sha256:1e8a27f1c41cae51e8a5687aa63d2bf92dc96bebd6d5b33cc3ec8fa31071ee9b \
@@ -31,16 +31,13 @@
     --hash=sha256:37fd53e8825dd3f3c6f6746afa8373b623a87fc0568513f1a5f071ce73ceedb0 \
     --hash=sha256:3b8a6499709d29c2e2399569d96719a1b21dcd94410a586a18526b143ec8470f \
     --hash=sha256:3db7af9025f66e08c781093dbdb7b54e52b5506006e141dcbe5b740e578b5504 \
-    --hash=sha256:43a55c2930bbc139570ac2452adf3d70cdbb3cfe5912c71cdce1c2c6bbd9c5d1 \
     --hash=sha256:46c99d2de99945ec5cb54f23c8cd5689f6d7177305ebff350a58ce5f8de1669e \
-    --hash=sha256:500d4957e52ddc3351cabf489e79c91c17f6e0899158447047588650b5e69183 \
     --hash=sha256:5079d5041ace388bb57a5ebe38ae585fb18bc681a669030d76f99b510b33d53e \
     --hash=sha256:535f6fc4d397c1563d08b88e485c3496cf5784e927af890fb3c3aac7f933ec66 \
     --hash=sha256:5881c17ae0378a26e2a8abde240387ca44ac778e0a8745b55522c4119d24dfff \
     --hash=sha256:596510de112c685489095da617b5bcbbac7dd6384aeebeda4df6025d0256a81b \
     --hash=sha256:5eba30ae5ad72351903ba340a6b4e427353de04542f36fc177ebaffafb8ae5e7 \
     --hash=sha256:60f1467a898ed3402d2f4e679906aed9f55c14d6990a53c3f811f593ee425a88 \
-    --hash=sha256:62fe6c95e3ec8a7fad637b7f3d372c15ec1caa01ab47926cfdf7a75b40e0eac1 \
     --hash=sha256:6788b695d50a51edb699cb55e35487e430fa21f1ed838122d722e0ff0ac5ba15 \
     --hash=sha256:6dd73240d2af64df90aa7c4e7481e23825ea70af4b4922f8ede5b9e35f78a3b1 \
     --hash=sha256:6f1e273a344928347c1290119b493a1f0303c52f5a5eae5f16d74f48c15d4a85 \
@@ -52,21 +49,17 @@
     --hash=sha256:7c1699dfe0cf8ff607dbdcc1e9b9af1755371f92a68f706051cc8c37d447c905 \
     --hash=sha256:7fed13866cf14bba33e7176717346713881f56d9d2bcebab207f7a036f41b850 \
     --hash=sha256:84dee80c15f1b560d55bcfe6d47b27d070b4681c699c572af2e3c7cc90a3b8e0 \
-    --hash=sha256:88e5fcfb52ee7b911e8bb6d6aa2fd21fbecc674eadd44118a9cc3863f938e735 \
     --hash=sha256:8b7fb692d27d6e17ca0fbcbc0edd7b32790e7c070624211499db5a758e89e38d \
     --hash=sha256:8defac2f2ccd6805ebf65f5eeb132adcf2ab57aa11fdf4c0dd5169a004710e7d \
     --hash=sha256:98bae9582248d6cf62321dcb52aaf5d9adf0bad3b40582925ef7c7f0ed85fceb \
-    --hash=sha256:98c7086708b163d425c67c7a91bad6e466bb99d797aa64f965e9d25c12111a5e \
     --hash=sha256:9add70b36c5666a2ed02b43b335fe19002ee5235efd4b8a89bfcf9005bebac0d \
     --hash=sha256:9bf40443012702a1d2070043cb6291650a0841ece432556f784f004937f0f32c \
     --hash=sha256:a6a744282b7718a2a62d2ed9d993cad6f5f585605ad352c11de459f4108df0a1 \
     --hash=sha256:acf08ac40292838b3cbbb06cfe9b2cb9ec78fce8baca31ddb87aaac2e2dc3bc2 \
-    --hash=sha256:ade5e387d2ad0d7ebf59146cc00c8044acbd863725f887353a10df825fc8ae21 \
     --hash=sha256:b00c1de48212e4cc9603895652c5c410df699856a2853135b3967591e4beebc2 \
     --hash=sha256:b1282f8c00509d99fef04d8ba936b156d419be841854fe901d8ae224c59f0be5 \
     --hash=sha256:b1423ef6a7f62c1d92bd1ce15e224f8d709fbae969fd7720623eb2ae9b8c3a34 \
     --hash=sha256:b1dba4527182c95a0db8b6060cc98ac49b9e2f5e64320e2b56e47cb2831978c7 \
-    --hash=sha256:b2051432115498d3562c084a49bba65d97cf251f5a331c64a12ee7e04dacc51b \
     --hash=sha256:b7d644ddb4dbd407d31ffb699f1d140bc35478da613b441c582aeb7c43838dd8 \
     --hash=sha256:ba59edeaa2fc6114428f1637ffff42da1e311e29382d81b339c1817d37ec93c6 \
     --hash=sha256:bd597f350935cb5c9cc3a55f5a15c8ec3632c71274e079380ef2f4789ad824f0 \
@@ -77,17 +70,15 @@
     --hash=sha256:c8716a48d94b06bb3b2524c2b77e055fb313aeb4ea620c8dd03a105574ba704f \
     --hash=sha256:c9cc323768421f2dd2ab416e38c0302803771f73191ffa7134f00a4a5ca57e72 \
     --hash=sha256:caabedc8323f1e93231b52fc32bdcde6db817623d33e100708d9a68e1f53b26b \
-    --hash=sha256:cd5df75523866410809ca100dc9681e301e3c27567cf498077e8551b6d20e42f \
     --hash=sha256:cdb132fc825c38e1aeec2c8aa9338310d29d337bebbd7baa06889d09a60a1fa2 \
     --hash=sha256:d53bc011414228441014aa71dbec320c66468c1030aae3a6e29778a3382d96e5 \
     --hash=sha256:d73a845f227b0bfe8a7455ee623525ee656a9e2e749e4742706d80a6065d5e2c \
     --hash=sha256:d9be0ba6c527163cbed5e0857c451fcd092ce83947944d6c14bc95441203f032 \
     --hash=sha256:dbc6ee2241abe4f518685f603e427a94ceb73c08b6d15d85c6c5c4a71bde9c3e \
     --hash=sha256:de603df0d005177f7ef7faa56578d2d47fc93aaef165cdef91d64959176edb15 \
-    --hash=sha256:e249096428b3ae81b08327a63a485ad0878de3fb939049038579ac0ef61e17e7 \
     --hash=sha256:e8313f01ba26fbbe36c7be1966a7b7424942f670f38e666995b88d012765b9be \
     --hash=sha256:feb7b34d6325451ef96bc0e36e1a6c0c1c64bc1fbec4b854f4529e51887b1621
-Werkzeug==1.0.1 \
+werkzeug==1.0.1 \
     --hash=sha256:2de2a5db0baeae7b2d2664949077c2ac63fbd16d98da0ff71837f7d1dea3fd43 \
     --hash=sha256:6c80b1e5ad3665290ea39320b91e1be1e0d5f60652b964a3070216de83d2e47c
 --extra-index-url https://test.pypi.org/simple

=== debian/changelog ===
pdm (2.23.1-2) unstable; urgency=medium

  * Team upload.
  * Disable one more test

 -- Alexandre Detiste <tchet@debian.org>  Tue, 12 Aug 2025 21:23:10 +0200

pdm (2.23.1-1) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-tomli

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Build-Depends: Replace python3-pep517 by python3-pyproject-hooks
    Closes: #1043002
  * Build-Depends: python3-pdm-backend
  * Build-Depends: python3-pytest-httpserver to fix at least one test suite
    error
  * Fix import of BaseProvider
  * Provide artifacts in multi-source tarball to enable testing
  * Do not continue in case of failures since test artifacts are provided now
  * Drop .pdm-python

  [ eevelweezel ]
  * New upstream version 2.23.1.
  * Skip failing tests and tests requiring internet
  * Standards-Version: 4.7.2 (routine-update)

  [ Stefano Rivera ]
  * Refresh patches.
  * Drop 0001-Disable-dynamic-version.patch, no longer needed.
  * Remove missing-sources, no longer needed.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 14:32:14 +0200

=== debian/control ===
Source: pdm
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Boyuan Yang <byang@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-blinker,
               python3-certifi,
               python3-dep-logic,
               python3-dotenv,
               python3-findpython,
               python3-filelock,
               python3-hishel,
               python3-httpcore,
               python3-httpx,
               python3-id,
               python3-installer,
               python3-msgpack,
               python3-packaging,
               python3-pbs-installer,
               python3-pdm-backend,
               python3-pyproject-hooks,
               python3-platformdirs,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-rerunfailures <!nocheck>,
               python3-pytest-httpserver <!nocheck>,
               python3-pytest-httpx <!nocheck>,
               python3-resolvelib,
               python3-rich,
               python3-shellingham,
               python3-tomlkit,
               python3-truststore,
               python3-unearth,
               python3-virtualenv
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdm
Vcs-Git: https://salsa.debian.org/python-team/packages/pdm.git
Homepage: https://github.com/pdm-project/pdm
Rules-Requires-Root: no

Package: python3-pdm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: next generation Python package management tool
 PDM is meant to be a next generation Python package management tool.
 If you feel you are going well with Pipenv or Poetry and don't want
 to introduce another package manager, just stick to it. But if you
 are missing something that is not present in those tools, you can
 probably find some goodness in pdm.
 .
 Highlights of features include:
  * Opt-in PEP 582 support, no virtualenv involved at all.
  * Simple and fast dependency resolver, mainly for large binary
    distributions.
  * A PEP 517 build backend.
  * PEP 621 project metadata.
  * Flexible and powerful plug-in system.
  * Versatile user scripts.
  * Opt-in centralized installation cache like pnpm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PDM_BUILD_SCM_VERSION=$(shell dpkg-parsechangelog -S Version | cut -d- -f 1)
export PYBUILD_TEST_ARGS = -k 'not network and not test_build_with_no_isolation and not test_find_candidates_from_find_links and not test_session_sources_all_proxy and not test_init_project_respect_version_file and not test_init_project_respect_version_file and not test_create_venv_in_project and not test_find_interpreters_with_PDM_IGNORE_ACTIVE_VENV and not test_run and not test_find_python'

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

execute_after_dh_python3:
	# Drop .pdm.toml
	rm -fv debian/*/usr/lib/python3/dist-packages/.pdm.toml
	 # Drop __pypackages__
	rm -rfv debian/*/usr/lib/python3/dist-packages/__pypackages__
	# Drop .pdm-python
	rm -fv debian/*/usr/lib/python3/dist-packages/.pdm-python

=== debian/watch ===
version=4
opts="uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/pdm-project/pdm/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
